Subject: Re: [PATCH] perf_event, powerpc: Fix compilation after big perf_counter rename

From: Michael Ellerman <[email-masked]>
Date: Thu, 24 Sep 2009 23:25:55 +1000

On Thu, 2009-09-24 at 14:14 +0200, Ingo Molnar wrote:
> * Michael Ellerman <[email-masked]> wrote:
> 
> > On Wed, 2009-09-23 at 14:44 +0200, Ingo Molnar wrote:
> > > * Michael Ellerman <[email-masked]> wrote:
> > > 
> > > > On Tue, 2009-09-22 at 18:00 +1000, Benjamin Herrenschmidt wrote:
> > > > > On Tue, 2009-09-22 at 09:28 +0200, Ingo Molnar wrote:
> > > > > > 
> > > > > > Nevertheless you are right that i should have caught this particular 
> > > > > > PowerPC build bug - i missed it - sorry about that!
> > > > > > 
> > > > > Allright. Well, to help in general, we are setting up a build-bot
> > > > > here too that will build -tip HEAD for at least powerpc daily with
> > > > > a few configs too.
> > > > 
> > > > Results here:
> > > > 
> > > > http://kisskb.ellerman.id.au/kisskb/branch/12/
> > > 
> > > ok, seems green for today - the two failures are: one a powerpc 
> > > toolchain problem it appears, plus a mainline warning.
> > 
> > Yep that looks more or less normal.
> > 
> > > Btw., for me to be able to notice failures there it would have to 
> > > email me automatically if there's any -tip build failures that do 
> > > not occur with the upstream branch. Does it have such a feature?
> > 
> > Not really, it sends mails to me, but it doesn't have a way to filter 
> > them by branch. I think the plan is we'll keep an eye on it and either 
> > send you patches or at least let you know that it's broken.
> 
> how many mails are those per day, typically? If there's not too many and 
> if there's a way to send all of them to me i could post-filter them for 
> -tip relevance. If that is feasible. You bouncing it to me later is 
> certainly also a solution. (but lengthens the latency of fixes, 
> obviously.)

Lots of mails - there are an insane number of arm configs for
starters :)

Give me a day or two, I should be able to add a per-branch setting for
who to send mails to without too much trouble.

cheers